Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Interface IBasicPricingEngine

public interface IBasicPricingEngine

Implemented by all those who need support for pricing

Field Summary
`static java.lang.String` | `RCS_ID`
`static boolean` | `RCS_ID_RECORDED`

Method Summary
`java.lang.String` | `getCountryCode()` Returns the country code
`java.lang.String` | `getCurrencyCode()` Returns the Country's CurrencyCode If If this methods returns null or an empty the currency code will default to "USD"
`java.text.DecimalFormat` | `getCurrencyNumberFormat()` Returns the format that currency values will be displayed If this methods returns null the currency code will default to "0,000.00"
`java.text.DecimalFormat` | `getDecimalNumberFormat()` Returns the format that decimal values will be displayed If this methods returns null the currency code will default to "0,000.00"
`java.text.DecimalFormat` | `getIntegerNumberFormat()` Returns the format that decimal values will be displayed If this methods returns null the currency code will default to "0,000"
`void` | `getListPrices(com.sun.java.util.collections.Collection coll)` Retrieves the list prices for a given set of items
`com.sun.java.util.collections.List` | `getPricingNotifications()` Configurator calls this method after any call to getListPrices or getTotalPrice.
`double` | `getTotalPrice(com.sun.java.util.collections.Collection coll)` Calculates the total price for a given set of items
`void` | `initialize(oracle.apps.cz.cio.IPricedConfiguration iPricedConfig)` Called by CIO when the first request for pricing is made CIO should call this method before making any other pricing call

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

Method Detail

### initialize

    public void initialize(oracle.apps.cz.cio.IPricedConfiguration iPricedConfig)
                    throws PricingUnavailableException

  Called by CIO when the first request for pricing is made CIO should call this method before making any other pricing call
  Throws:
    `PricingUnavailableException` - when pricing is not available Client initializes thier pricing environment through nvp

### getCountryCode

    public java.lang.String getCountryCode()

  Returns the country code

### getCurrencyCode

    public java.lang.String getCurrencyCode()

  Returns the Country's CurrencyCode If If this methods returns null or an empty the currency code will default to "USD"

### getCurrencyNumberFormat

    public java.text.DecimalFormat getCurrencyNumberFormat()

  Returns the format that currency values will be displayed If this methods returns null the currency code will default to "0,000.00"

### getDecimalNumberFormat

    public java.text.DecimalFormat getDecimalNumberFormat()

  Returns the format that decimal values will be displayed If this methods returns null the currency code will default to "0,000.00"

### getIntegerNumberFormat

    public java.text.DecimalFormat getIntegerNumberFormat()

  Returns the format that decimal values will be displayed If this methods returns null the currency code will default to "0,000"

### getListPrices

    public void getListPrices(com.sun.java.util.collections.Collection coll)

  Retrieves the list prices for a given set of items

### getTotalPrice

    public double getTotalPrice(com.sun.java.util.collections.Collection coll)

  Calculates the total price for a given set of items

### getPricingNotifications

    public com.sun.java.util.collections.List getPricingNotifications()

  Configurator calls this method after any call to getListPrices or getTotalPrice. Client can provide any notifications that pertain to the entire call

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.